# $Revision: 1.30 $, $Date: 2004/12/26 18:38:30 $
Summary:	News aggregator
Summary(pl):	Narzdzie zbierajce wiadomoci
Name:		straw
Version:	0.23
Release:	4
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://savannah.nongnu.org/download/%{name}/%{name}-%{version}.tar.bz2
# Source0-md5:	8dbdb3bbb7a20554a069bca11712d8c3
Patch0:		%{name}-desktop.patch
URL:		http://www.nongnu.org/straw/
BuildRequires:	libglade2-devel >= 2.0.1
BuildRequires:	libgnomeui-devel >= 2.4.0
Requires(post):	GConf2 >= 2.4.0
Requires:	python-adns
Requires:	python-gnome-gconf
Requires:	python-gnome-gtkhtml
Requires:	python-gnome-ui
Requires:	python-gnome-vfs
%pyrequires_eq	python-modules
Requires:	python-pygtk-glade
Requires:	python-pyorbit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
News aggregators read news, weblog or other feeds over the web and
aggregate them so the news items are readable from a single place,
regardless of their source. The data format aggregators utilize to do
their job is called RSS, standing either for Really Simple Syndication
or RDF Site Summary, depending on who you ask. At the moment, there
are two different, incompatible specifications, with different
objectives: RSS 0.9x/RSS 2.0 and RSS 1.0. Straw supports both of them.

To find feeds to subscribe to, look for a white on orange XML icon,
XML icon, on web sites. You could also use a centralized syndication
service, such as Syndic8.com.

%description -l pl
Narzdzia zbierajce czytaj wiadomoci, logi sieciowe lub inne rda
z sieci i zbieraj je, dziki czemu wszystkie wiadomoci s dostpne
do czytania w jednym miejscu, niezalenie od rda. Narzdzia te
uywaj formatu danych o nazwie RSS (Really Simple Syndication lub RDF
Site Summary - jak kto woli). Aktualnie s dwie rne, niekompatybilne
specyfikacje, o rnych celach: RSS 0.9x/RSS 2.0 oraz RSS 1.0. Straw
obsuguje oba.

Aby znale rda do ktrych mona si zapisa, naley szuka
biao-pomaraczowych ikonek XML na stronach WWW. Mona take
skorzysta z centralnego serwisu takiego jak Syndic8.com.

%prep
%setup -q
%patch0 -p1

mv po/{no,nb}.po

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--install-purelib=%{py_sitedir} \
	--optimize=2 \
	--with-gconf-schema-file-dir=%{_sysconfdir}/gconf/schemas \
	--disable-modules-check \
	--disable-schemas-install

rm -f $RPM_BUILD_ROOT%{py_sitedir}/%{name}/*.py

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README NEWS TODO
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{py_sitedir}/%{name}
%{_datadir}/%{name}
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: straw.spec,v $
Revision 1.30  2004/12/26 18:38:30  saq
- strict python deps, release 4

Revision 1.29  2004/11/22 21:13:36  paladine
- added desktop patch
- rel 3

Revision 1.28  2004/11/14 21:48:36  havner
- rel up for rebuild with python-pygtk

Revision 1.27  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.26  2004/05/01 10:49:38  grzegol
- updated to 0.23

Revision 1.25  2004/02/20 22:11:46  grzegol
- updated to 0.22.1
- removed R: python-mx-DateTime

Revision 1.24  2004/02/17 23:59:26  grzegol
- updated to 0.22
- removed outdated python patch
- more BRs, Rs
- changed locale name no -> nb

Revision 1.23  2003/11/14 10:49:58  grzegol
- updated to 0.21.1

Revision 1.22  2003/11/14 10:25:21  grzegol
- updated to 0.21

Revision 1.21  2003/11/03 00:37:00  wrobell
- adns module is optional

Revision 1.20  2003/11/01 12:04:10  grzegol
- updated to 0.20
- removed outdated sax_handler patch
- added %%gconf_schema_install in %%post

Revision 1.19  2003/09/08 10:09:45  wrobell
- ver. 0.19.2

Revision 1.18  2003/08/21 20:20:12  grzegol
- updated to 0.19.1

Revision 1.17  2003/08/19 21:24:38  wrobell
- fixed install requirements

Revision 1.16  2003/08/18 09:02:02  wrobell
- python-modules 2.3 provides bsddb module
- rel. 0.2

Revision 1.15  2003/08/17 10:51:11  grzegol
- updated to 0.19

Revision 1.14  2003/07/07 13:20:22  qboosh
- use _desktopdir macro

Revision 1.13  2003/05/27 11:52:18  trojan
- added Source-md5

Revision 1.12  2003/05/25 06:27:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/05 20:01:47  wiget
- up to 0.17

Revision 1.10  2003/01/18 22:57:39  juandon
- removed two lines with define

Revision 1.9  2003/01/06 06:22:15  wiget
- updated to 0.15

Revision 1.8  2002/11/25 09:47:45  wrobell
- ver. 0.13.2

Revision 1.7  2002/11/18 17:08:06  wiget
- updated to 0.13.1

Revision 1.6  2002/10/28 17:16:58  wiget
- updated to 0.12
- R: python-gnome-vfs

Revision 1.5  2002/10/24 14:44:35  qboosh
- pl description

Revision 1.4  2002/10/21 16:29:02  wiget
- R: python-gnome-gtkhtml

Revision 1.3  2002/10/18 10:46:01  wrobell
- added patch, so Straw can be with on Python 2.2.x
- fixed install requirements

Revision 1.2  2002/10/18 09:59:01  wrobell
- make s/python2.2/python/g patch
- recompile straw python modules, so there will be *.pyo files installed
  and paths will be correct when exception is thrown

Revision 1.1  2002/10/15 22:51:31  wrobell
- based on template, nfy
